
From: Tom Zanussi <zanussi@us.ibm.com>

Signed-off-by: Tom Zanussi <zanussi@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 Documentation/filesystems/relayfs.txt |   17 +++++++++++------
 1 files changed, 11 insertions(+), 6 deletions(-)

diff -puN Documentation/filesystems/relayfs.txt~relayfs-update-documentation-fix Documentation/filesystems/relayfs.txt
--- 25/Documentation/filesystems/relayfs.txt~relayfs-update-documentation-fix	Mon Aug 29 15:25:41 2005
+++ 25-akpm/Documentation/filesystems/relayfs.txt	Mon Aug 29 15:25:41 2005
@@ -82,10 +82,15 @@ mmap()	 results in channel buffer being 
 	 memory space. Note that you can't do a partial mmap - you must
 	 map the entire file, which is NRBUF * SUBBUFSIZE.
 
-read()	 read the contents of a channel buffer.  If there are active
-	 channel writers, results may be unpredictable - users should
-	 make sure that all logging to the channel has ended before
-	 using read().
+read()	 read the contents of a channel buffer.  The bytes read are
+	 'consumed' by the reader i.e. they won't be available again
+	 to subsequent reads.  If the channel is being used in
+	 no-overwrite mode (the default), it can be read at any time
+	 even if there's an active kernel writer.  If the channel is
+	 being used in overwrite mode and there are active channel
+	 writers, results may be unpredictable - users should make
+	 sure that all logging to the channel has ended before using
+	 read() with overwrite mode.
 
 poll()	 POLLIN/POLLRDNORM/POLLERR supported.  User applications are
 	 notified when sub-buffer boundaries are crossed.
@@ -256,8 +261,8 @@ consulted.
 
 The default subbuf_start() implementation, used if the client doesn't
 define any callbacks, or doesn't define the subbuf_start() callback,
-implements the simplest possible 'overwrite' mode i.e. it does nothing
-but return 1.
+implements the simplest possible 'no-overwrite' mode i.e. it does
+nothing but return 0.
 
 Header information can be reserved at the beginning of each sub-buffer
 by calling the subbuf_start_reserve() helper function from within the
_
